%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_JavascriptMinify_Jsmin
%global pear_channel pear.horde.org


Name:           php-horde-Horde-JavascriptMinify-Jsmin
Version:        1.0.2
Release:        1%{?dist}
Summary:        Horde Javascript Minifier - Jsmin PHP Driver

Group:          Development/Libraries
License:        LGPLv2
URL:            http://%{pear_channel}
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php(language) >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})

BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0

BuildRequires:  php-horde-Horde-JavascriptMinify
Requires:       php-horde-Horde-JavascriptMinify


Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})

Requires:       php-horde-Horde-Text-Filter

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
The JSMin javascript minifier driver for use with the Horde_JavascriptMinify package.

%prep
%setup -q -c

cd %{pear_name}-%{version}
mv ../package.xml %{name}.xml

%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit --bootstrap bootstrap.php -d date.timezone=UTC .

%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%dir %{pear_phpdir}/Horde
%{pear_phpdir}/Horde/JavascriptMinify/Jsmin.php
%{pear_phpdir}/Horde/JavascriptMinify/Jsmin/Minifier.php
%{pear_testdir}/%{pear_name}

%changelog
* Thu Jan 03 2019 josef radinger <cheese@nosuchhost.net> - 1.0.2-1
- initial version of rpm-package

